%define Docs paraguidoc-html-1.1.8
%define	name	paragui
%define	version	1.1.8
%define	release	%mkrel 11

%define lib_name_orig libparagui
%define lib_major 1.1
%define lib_name %mklibname %{name} %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphical User Interface based on SDL
License:	LGPL
Group:		System/Libraries
Source0:	http://savannah.nongnu.org/download/paragui/%{name}-%{version}.tar.bz2
Source1:        http://savannah.nongnu.org/download/paraguidoc-html-1.1.8.tar.bz2
Patch0:		%{name}-1.1.8.install.patch
Patch1:		paragui-1.1.8-fix-underquoted-calls.patch
URL:		http://www.bms-austria.com/projects/paragui/
BuildRequires:	freetype2-devel
BuildRequires:	physfs-devel
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libgii-devel
BuildRequires:	libsigc++1.2-devel
BuildRequires:	libexpat-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	automake1.8
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
ParaGUI is a cross-platform high-level application framework and GUI
(graphical user interface) library. ParaGUI's cross-platform nature is
completely based on the Simple DirectMedia Layer (SDL).

%package -n	%{lib_name}
Summary:	Main library for paragui
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with paragui.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use paragui
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	libexpat-devel
Requires:	physfs-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use paragui, a GUI on top of SDL.

%prep
%setup -q -n %{name}-%{version} -a1
%patch0 -p1
%patch1 -p1 -b .underquoted


%build
# TODO : --enable-python --enable-ruby
aclocal-1.8
autoconf-2.5x 
automake-1.8 --foreign
%configure2_5x --enable-unicode
make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_libdir}/lib%{name}.a
%multiarch_binaries %{buildroot}%{_bindir}/paragui-config

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README
%multiarch %{multiarch_bindir}/paragui-config
%{_bindir}/paragui-config
%{_includedir}/*
%{_libdir}/*.?a
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}


%changelog
* Wed Mar 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-11mdv2007.1
+ Revision: 147155
- fix build dependencies

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - bunzip patches
    - rebuild
    - Import paragui



* Fri Aug 25 2006 Olivier Blin <blino@mandriva.com> 1.1.8-9mdv2007.0
- rebuild for physfs (#24545)

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.1.8-8mdv2007.0
- rebuild for physfs
- disable parallel make to fix x86_64 compilation

* Sat Jul 15 2006 Anssi Hannula <anssi@mandriva.org> 1.1.8-7mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.8-6mdv2007.0
- rebuild for libpng
- add documentation in devel pkg

* Tue Jun 06 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.8-5mdv2007.0
- enable unicode support

* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.8-4mdk
- fix buildrequires

* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.8-3mdk
- fix underquoted calls (P1)
- %%mkrel

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-2mdk
- fix x86_64 build
- spec cleanup

* Fri Nov 11 2005 Michael Scherer <misc@mandriva.org> 1.1.8-1mdk
- New release 1.1.8
- mkrel
- update major

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 1.0.4-2mdk 
- rebuild for new gcc
- clean BuildRequires
- remove Packager tag
- rpmbuildupdate aware
 
* Tue Oct 07 2003 Charles A Edwards <eslrahc@bellsouth.net> 1.0.4-1mdk
- 1.0.4
- buildrequire physfs-devel
- automake-2.5
- requires
- use makeinstall_std
 

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.2-2mdk
- fixed buildrequires

* Thu Apr 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.2-1mdk
- 1.0.2
- use %%mklibname macro
- dropped Patch0 (merged upstream)
- fix unpackaged files
- use %%configure macro in stead of %%configure2_5x to make it crosscompile

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- rebuild

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- recompile against latest libstdc++
- take stable 1.0.1 release

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.3mdk
- rebuild for new alsa

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.2mdk
- fix summary, refine requires for devel package

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.1mdk
- first mdk package
